volumes:
    hfdata:

services:
    app:
        environment:
            SQL_SERVER: $SQL_SERVER
            SQL_DB: $SQL_DB
            SQL_USER: $SQL_USER
            SQL_PASS: $SQL_PASS
            HF_HOME: /hfdata
            HF_TOKEN: $HF_TOKEN
            OPENAI_API_KEY: $OPENAI_API_KEY
        volumes:
            - hfdata:/hfdata
        build:
            context: .
            dockerfile: Dockerfile
        ports:
            - 80:7860
        stdin_open: true # docker run -i
        tty: true        # docker run -t
        deploy:
          resources:
            reservations:
              devices:
                - driver: nvidia
                  count: all
                  capabilities: [gpu]
            
  
       